﻿@{
    ViewData["Title"] = "Home Page";
}
@using TestCaseBackendDeveloper_v._3.FE.Response
@model TenderDataForResponses

<style>
    body {
        background: #222D32;
        font-family: 'Roboto', sans-serif;
    }
    .title {
        margin-top: 15px;
        text-align: center;
        font-size: 30px;
        letter-spacing: 2px;
        margin-top: 15px;
        font-weight: bold;
        color: #ECF0F5;
    }
    .box {
        margin-top: 75px;
        height: auto;
        background: #1A2226;
        box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
        color: #ECF0F5;
    }
</style>

<div class="container">
    <div class="row">
        <div class="col-lg-3 col-md-2"> </div>
        <div class="col-lg-6 col-md-8 box">
            <div class="col-lg-12 title">
                Tender
            </div>
                <div class="col-3 pb-4 pl-2">
                    <a asp-controller="Home" asp-action="Add" class="btn btn-outline-success">
                        Add
                    </a>
                </div>
            <div class="col-lg-12">
                <div class="col-lg-12">
                    <div class="list-group">
                        @{
                            var i = 1;
                            foreach (TenderDataForResponses data in ViewBag.TenderListData)
                            {
                                <div class="d-flex w-100 justify-content-between">
                                    <h5 class="mb-1">@data.Title</h5>
                                    <small>
                                        @data.ReleaseDate<br />
                                        @data.ClosingDate
                                    </small>
                                </div>
                                <p class="mb-1">@data.Reference</p>
                                <small>@data.User.Username</small>
                                <div class="col-lg-6 pt-4 pl-0 ml-0">
                                    <div class="row">
                                        <div class="col-3"><a asp-controller="Home" asp-action="Detail" asp-route-tenderId="@data.ID" class="btn btn-outline-info">View</a></div>
                                        <div class="col-3"><a asp-controller="Home" asp-action="Edit" asp-route-tenderId="@data.ID" class="btn btn-outline-warning">Edit</a></div>
                                        <div class="col-3"><button type="button" class="btn btn-outline-danger delete" data-id="@data.ID" data-controller="Home" data-action="Delete" data-body-message="Are you sure to delete this tender?">Delete</button></div>
                                    </div>
                                </div>
                                <div class="col-lg-6"></div>
                                <hr style="color:white" />
                            }
                        }
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-2"> </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
<script>
    

    $((function () {
        console.log("ok");
        var url;
        var redirectUrl;
        var target;

        $('body').append(`
                    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="myModalLabel">Warning</h4>
                            <button type="button" id="close-delete-modal" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        </div>
                        <div class="modal-body delete-modal-body">

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal" id="cancel-delete">Cancel</button>
                            <button type="button" class="btn btn-danger" id="confirm-delete" onclick="">Delete</button>
                        </div>
                        </div>
                    </div>
                    </div>
            `);

        //Delete Action
        $(document).on("click", ".delete", (e) => {
            e.preventDefault();

            target = e.target;
            var Id = $(target).data('id');
            var controller = $(target).data('controller');
            var action = $(target).data('action');
            var bodyMessage = $(target).data('body-message');
            redirectUrl = '/';

            url = "/" + action + "?tenderId=" + Id;
            $(".delete-modal-body").text(bodyMessage);
            $("#deleteModal").modal('show');
        });

        $("#confirm-delete").on('click', () => {
            $.get(url)
                .done((result) => {
                    if (!redirectUrl) {
                        return $(target).parent().parent().hide("slow");
                    }
                    window.location.href = redirectUrl;
                })
                .fail((error) => {
                    if (redirectUrl)
                        window.location.href = redirectUrl;
                }).always(() => {
                    $("#deleteModal").modal('hide');
                });
        });
        $("#cancel-delete").on('click', () => {
            $("#deleteModal").modal('hide');
        });
        $("#close-delete-modal").on('click', () => {
            $("#deleteModal").modal('hide');
        });
    }()));
</script>
